<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<html>
<body>
<xsl:apply-templates/>
</body>
</html>
</xsl:template>

<xsl:template match="PropertiesName">
<h2><xsl:value-of select="."/></h2>
</xsl:template>

<xsl:template match="Identifiers">
<h3>Identifiers</h3>
<b>Owner: </b><xsl:value-of select="./Owner/UniqueIdentifier/OwnerClassName"/><br/>
<xsl:apply-templates select="Related"/>
</xsl:template>

<xsl:template match="Related">
<b>Related: </b>
<xsl:for-each select="./UniqueIdentifier">
<xsl:value-of select="OwnerClassName"/>
<xsl:if test="position()!=last()">
<xsl:text>, </xsl:text>
</xsl:if>
<xsl:if test="position()=last()-1">
<xsl:text> and </xsl:text>
</xsl:if>
</xsl:for-each>
<br/>
</xsl:template>

<xsl:template match="PList">
<h3>Properties</h3>
<table border="1">
<xsl:apply-templates select="p"/>
</table>
<xsl:apply-templates select="pg"/>
</xsl:template>

<xsl:template match="pg">
<p>
<b><xsl:value-of select="pgn"/></b><br/>
<table border="1">
<xsl:apply-templates select="p"/>
</table>
</p>
</xsl:template>

<xsl:template match="p">
<tr>
<td><xsl:value-of select="n"/></td><td><xsl:value-of select="v"/></td>
</tr>
</xsl:template>

</xsl:stylesheet>
