package infomat.algorithms.grouping;

import infomat.vectorspace.*;
import infomat.vectorspace.similarity.*;
import mro.util.*;
import mro.util.properties.*;

import java.util.Vector; 

/**
 * NeedsIMatrix
 *      
 * @version          080513
 * @author           Magnus Rosell
 */
public interface NeedsIMatrix{

    /**
     * Sets the IMatrix.
     */
    public abstract void setIMatrix(IMatrix matrix);

    /**
     * Returns the actual IMatrix. (Not a copy.)
     */
    public abstract IMatrix getIMatrix();
}
