package tctbridge;

import tctbridge.io.*;

import infomat.algorithms.grouping.*;
import infomat.algorithms.labeling.*;
import infomat.evaluation.*;
import infomat.io.*;
import infomat.io.text.*;
import infomat.vectorspace.*;

import mro.util.measures.*;
import mro.util.properties.*;

import java.io.*;
//import java.util.*;


/**
 * Temporary class!
 * <br>
 * @version          080218
 * @author           Magnus Rosell
 *
 *
 *javac -deprecation -classpath ./classes/ -sourcepath ./src ./src/tctbridge/*.java -d classes
 *
 * java -cp .:classes/ -Xms1024m -Xmx1024m tctbridge.TCTIOTest -directory "/afs/nada.kth.se/home/f/u1ya3frf/Code/tmp/InfomatRes/"

*/
public class TCTIOTest{
    private static void badInput(){
	System.out.println("Bad input!");
	System.exit(0);
    }

    public static void main(String args[]) throws IOException{


	String tokenFile = "/afs/nada.kth.se/home/f/u1ya3frf/Korpus/tokenFiles/jtteLitenKorpus.corpus.tokenFile.xml";
	File file = new File(tokenFile);
	TokenFileTextWordIO tokenIO = new TokenFileTextWordIO();
	IMatrix matrix = tokenIO.load(file);
	
	IMatrixCellFilter matrixCellFilter = new IMatrixCellFilter();
	//	matrixCellFilter.filter(matrix);

	File f = new 
	    File("/afs/nada.kth.se/home/f/u1ya3frf/Code/tmp/testtctout");
	TCTIO tctio = new TCTIO();
	tctio.saveIMatrix(matrix, f);


    }

}
