package mro.util.measures;

import java.util.Comparator;

public class MeasureStampComparator implements Comparator {

	/**
	 * Compares two Measures and returns 1, 0 or -1 
	 *
	 * @param  o1 a Measure
	 * @param  o2 a Measure
	 * @return int 
	 */
	public int compare(Object o1, Object o2) {
		String s1 = ((Measure) o1).getStamp();
		String s2 = ((Measure) o2).getStamp();
		
		return s1.compareTo(s2);
	}    

}



